#ifndef CMWKEYBOARD_H
#define CMWKEYBOARD_H

#include <QWidget>
#include "cmwidget.h"
namespace Ui {
class CMWKeyboard;
}

class CTRLS_COMMON_EXPORT CMWKeyboard : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWKeyboard(QWidget *parent = 0);
    ~CMWKeyboard();

    void MoveToPos(QWidget *pWidget);
    void paintEvent(QPaintEvent *pEvent);
private slots:
    void on_pushButton_0_clicked();
    void on_pushButton_1_clicked();
    void on_pushButton_2_clicked();
    void on_pushButton_3_clicked();
    void on_pushButton_4_clicked();
    void on_pushButton_5_clicked();
    void on_pushButton_6_clicked();
    void on_pushButton_7_clicked();
    void on_pushButton_8_clicked();
    void on_pushButton_9_clicked();
    void on_pushButton_Enter_clicked();
    void on_pushButton_Point_clicked();
    void on_pushButton_Sub_clicked();
    void on_pushButton_Clear_clicked();
private:
    Ui::CMWKeyboard *ui;
};

#endif // CMWKEYBOARD_H
